Subject: Re: bug#78593: 31.0.50; describe-key broken on interactive lambdas

From: Stefan Monnier <[email-masked]>
Date: Sun, 29 Jun 2025 01:01:48 -0400

>> It's probably OK to signal errors for values which are not functions
>> at all.  Not sure if it's worth the trouble, OTOH.
> Ah, so you are saying that symbolp should have been functionp?  But
> does functionp indeed return non-nil for all the function types for
> which we want function-get to do its job?  E.g., what about macros of
> special forms?
> Or do we have another predicate that would cover all the cases?

That's what I meant by "Not sure if it's worth the trouble".

        Stefan